diff -Nru a/CHANGELOG b/CHANGELOG
--- a/CHANGELOG	30 Jun 2004 22:59:18 -0000
+++ b/CHANGELOG	1 Jul 2004 14:49:47 -0000
@@ -1,6 +1,12 @@
 ======================================================================
 Changes since U-Boot 1.1.1:
 ======================================================================
+* Patch by Philippe Robin, 1 Jul 2004:
+  - fixed deprecated -mshort-load-bytes option with GCC 3.4.0
+    to -malignment-traps. 
+  - Added return statement at the end of smc_phy_configure() in 
+    smc91111.c.
+  - Added initialisation for Integrator and versatile board files.
 
 * Fix "cls" command when used with splash screen
 
diff -Nru a/board/integratorap/integratorap.c b/board/integratorap/integratorap.c
--- a/board/integratorap/integratorap.c	14 Mar 2004 22:25:41 -0000
+++ b/board/integratorap/integratorap.c	1 Jul 2004 14:49:48 -0000
@@ -73,6 +73,8 @@
 	/* adress of boot parameters */
 	gd->bd->bi_boot_params = 0x00000100;
 
+	gd->flags = 0;
+
 	icache_enable ();
 
 	flash__init ();
diff -Nru a/board/integratorcp/integratorcp.c b/board/integratorcp/integratorcp.c
--- a/board/integratorcp/integratorcp.c	14 Mar 2004 22:25:41 -0000
+++ b/board/integratorcp/integratorcp.c	1 Jul 2004 14:49:48 -0000
@@ -69,6 +69,8 @@
 	/* adress of boot parameters */
 	gd->bd->bi_boot_params = 0x00000100;
 
+	gd->flags = 0;
+
 	icache_enable ();
 
 	flash__init ();
diff -Nru a/board/versatile/versatile.c b/board/versatile/versatile.c
--- a/board/versatile/versatile.c	14 Mar 2004 22:25:44 -0000
+++ b/board/versatile/versatile.c	1 Jul 2004 14:49:48 -0000
@@ -79,6 +79,8 @@
 	/* adress of boot parameters */
 	gd->bd->bi_boot_params = 0x00000100;
 
+	gd->flags = 0;
+
 	icache_enable ();
 
 	flash__init ();
diff -Nru a/cpu/arm720t/config.mk b/cpu/arm720t/config.mk
--- a/cpu/arm720t/config.mk	5 Sep 2002 14:51:08 -0000
+++ b/cpu/arm720t/config.mk	1 Jul 2004 14:49:48 -0000
@@ -23,6 +23,6 @@
 #
 
 PLATFORM_RELFLAGS += -fno-strict-aliasing  -fno-common -ffixed-r8 \
-	-mshort-load-bytes -msoft-float
+	-malignment-traps -msoft-float
 
 PLATFORM_CPPFLAGS += -mapcs-32 -march=armv4 -mtune=arm7tdmi
diff -Nru a/cpu/arm920t/config.mk b/cpu/arm920t/config.mk
--- a/cpu/arm920t/config.mk	5 Sep 2002 14:50:51 -0000
+++ b/cpu/arm920t/config.mk	1 Jul 2004 14:49:48 -0000
@@ -22,6 +22,6 @@
 #
 
 PLATFORM_RELFLAGS += -fno-strict-aliasing  -fno-common -ffixed-r8 \
-	-mshort-load-bytes -msoft-float
+	-malignment-traps -msoft-float
 
 PLATFORM_CPPFLAGS += -mapcs-32 -march=armv4
diff -Nru a/cpu/arm925t/config.mk b/cpu/arm925t/config.mk
--- a/cpu/arm925t/config.mk	15 Jul 2003 20:04:06 -0000
+++ b/cpu/arm925t/config.mk	1 Jul 2004 14:49:48 -0000
@@ -22,6 +22,6 @@
 #
 
 PLATFORM_RELFLAGS += -fno-strict-aliasing  -fno-common -ffixed-r8 \
-	-mshort-load-bytes -msoft-float
+	-malignment-traps -msoft-float
 
 PLATFORM_CPPFLAGS += -mapcs-32 -march=armv4
diff -Nru a/cpu/arm926ejs/config.mk b/cpu/arm926ejs/config.mk
--- a/cpu/arm926ejs/config.mk	29 Aug 2003 22:00:47 -0000
+++ b/cpu/arm926ejs/config.mk	1 Jul 2004 14:49:48 -0000
@@ -22,6 +22,6 @@
 #
 
 PLATFORM_RELFLAGS += -fno-strict-aliasing  -fno-common -ffixed-r8 \
-	-mshort-load-bytes -msoft-float
+	-malignment-traps -msoft-float
 
 PLATFORM_CPPFLAGS += -mapcs-32 -march=armv4
diff -Nru a/drivers/smc91111.c b/drivers/smc91111.c
--- a/drivers/smc91111.c	9 Jun 2004 14:47:55 -0000
+++ b/drivers/smc91111.c	1 Jul 2004 14:49:49 -0000
@@ -1415,6 +1415,7 @@
 	SMC_outw (RPC_DEFAULT, RPC_REG);
 
       smc_phy_configure_exit:
+	return;
 
 }
 #endif /* !CONFIG_SMC91111_EXT_PHY */
